SL(4)

NAME
sl - slip network interface

SYNOPSIS
pseudo-device sl [count]

DESCRIPTION
The sl interface allows serial lines to be used as network interfaces using the slip protocol. The sl interface can use Van Jacobson TCP header compression and ICMP filtering. This is arranged by using the various link-level flags to the ifconfig(8) command:

link0
    Enable VJ header compression.
link1
    Suppress ICMP traffic.
link2
    Enable VJ header compression autodetection. This will turn on the link0 flag as soon as the first VJ-compressed packet has been seen by the driver.

DIAGNOSTICS

sl%d: af%d not supported. The interface was handed a message with addresses formatted in an unsuitable address family; the packet was dropped.

SEE ALSO
intro(4), inet(4), slattach(8), sliplogin(8), slstats(8)